Apache Tomcat 7.0.42

## org.apache.catalina.ha.backend
Class Proxy

    java.lang.Object
      org.apache.catalina.ha.backend.Proxy

    public class Proxy

extends Object

Nested Class Summary
`protected static class` `Proxy.State`

Field Summary
`InetAddress` `address`
`int` `port`
`Proxy.State` `state`

Constructor Summary
`Proxy()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### address

    public InetAddress address

### port

    public int port

### state

    public Proxy.State state

Constructor Detail

### Proxy

    public Proxy()

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.